
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		marek
-- Create date: 08/04/2009
-- Description:	Sprawdza czy dla danego zamowienia wszystkie emisje sa zafakturowane, 
--				jesli tak to trzeba ustawic, ze zamowienie jest zafakturowane w calosci
-- =============================================
ALTER PROCEDURE [dbo].[sp_MakeZamowienieZafakturowane]
	@zamowienieId int
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

DECLARE @iloscEmisjiBezFaktury INT

SELECT @iloscEmisjiBezFaktury=COUNT(*) FROM [UKAŻE SIĘ W NR] AS E
INNER JOIN Reklama AS R ON E.ReklamaId=R.ReklamaId
INNER JOIN Zamowienia AS Z ON R.idZamowienia=Z.idZamowienia
WHERE Z.idZamowienia=@zamowienieId AND E.idFaktury IS NULL

SELECT @iloscEmisjiBezFaktury

IF (@iloscEmisjiBezFaktury=0)
	BEGIN
		UPDATE Zamowienia
		SET zafakturowano=1, zafakturowanoWszystko=1
		WHERE idZamowienia=@zamowienieId
	END


END
GO

SET ANSI_NULLS OFF
GO
SET QUOTED_IDENTIFIER OFF
GO

